* {
    color: #222;
    font-size: 16px;
    line-height: 1.7;
}
body {
    margin: 0;
    font-family: "Helvetica Neue", "Helvetica", "Hiragino Sans", "Arial", "Yu Gothic", "Meiryo", sans-serif;
}
h2 {
    font-size: 36px;
    margin-top: 1rem;
    margin-bottom: 1rem;
}
h3 {
    font-size: 18px;
    border-left: 5px solid #003882;
    padding-left: 10px;
}
img {
    width: 100%;
}
.textC {
    text-align: center;
}
.btn__max {
    max-width: 360px;
}
.btn__max a {
    width: 100%;
}
.fs80 {
    font-size: 80%;
}
.fs90 {
    font-size: 90%;
}
.fs110 {
    font-size: 110%;
}
.fs120 {
    font-size: 120%;
}
.fs130 {
    font-size: 130%;
}
.fs140 {
    font-size: 140%;
}
.fs150 {
    font-size: 150%;
}
.fs160 {
    font-size: 160%;
}
.fs170 {
    font-size: 170%;
}
.fs180 {
    font-size: 180%;
}
.fs190 {
    font-size: 190%;
}
.fs200 {
    font-size: 200%;
}
.m0 {
    margin: 0 !important;
}
.mb0 {
    margin-bottom: 0 !important;
}
.mb10 {
    margin-bottom: 10px !important;
}
.mb20 {
    margin-bottom: 20px !important;
}
.mb30 {
    margin-bottom: 30px !important;
}
.mb40 {
    margin-bottom: 40px !important;
}
.mb50 {
    margin-bottom: 50px !important;
}
.mb60 {
    margin-bottom: 60px !important;
}
.mb70 {
    margin-bottom: 70px !important;
}
.mb80 {
    margin-bottom: 80px !important;
}
.mb90 {
    margin-bottom: 90px !important;
}
.mb100 {
    margin-bottom: 100px !important;
}

/* 共通 */
header {
    background-color: #fff;
    position: fixed;
    z-index: 100;
    top:0;
    width: 100%;
    border-bottom: 1px solid #dadada;
}
header section {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    padding: 1rem 2rem;
    width: 100%;
}
header section .apro_logo {
    min-width: 80px;
    text-decoration: none;
}
header section ul {
    box-sizing: border-box;
    display: flex;
    margin: 0;
    padding: 0;
}
header section li {
    list-style: none;
    text-decoration: none;
}
header section li a {
    color: #003882;
    display: block;
    margin-right: 20px;
    text-decoration: none;
    padding: 10px 0px;
    transition: opacity 0.5s;
}
header section li a:hover {
    filter: opacity(0.6);
}
.c-hamburger-menu {
    position: relative;
}
.c-hamburger-menu__input {
    display: none;
}
.c-hamburger-menu__bg {
    background-color: #fff;
    cursor: pointer;
    display: none;
    height: 100vh;
    left: 0;
    opacity: 0.8;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: -1;
}
#hamburger:checked ~ .c-hamburger-menu__bg {
    display: block;
}
.c-hamburger-menu__button {
    display: none;
}
.c-hamburger-menu__button-mark {
    background-color: #000; /* カスタマイズしてください */
    display: block;
    height: 1px; /* カスタマイズしてください */
    transition: 0.3s; /* カスタマイズしてください */
    width: 20px; /* カスタマイズしてください */ 
}

main {
    margin-top: 100px;
}


.button {
    display: inline-block;;
	border-radius : .5rem;
	padding : 1rem;
	border : 2px solid #222;
	background-color:#222;
    text-decoration: none;
    color: #fff;
    font-size: 120%;
    line-height: 1;
    overflow: hidden;
    position: relative;
    z-index: 1;
    box-sizing: border-box;
}
.button::before {
    content: '';
    width: 100%;
    height: 100%;
    background-color: #444;
    position: absolute;
    left: -100%;
    top: 0;
    transition: .4s;
    z-index: -1;
}
.button:hover::before {
    left: 0;
}
.button.orange {
    background-color: #f23300;
    border-color: #f23300;
    color: #fff;
}
.button.orange::before {
    background-color: #fff;
    color: #f23300;
}
.button.orange:hover {
    color: #f23300;
}
.button.white {
    background-color: #fff;
    border-color: #fff;
    color: #222;
}
.button.white::before {
    background-color: #023073;
    color: #fff;
}
.button.white:hover {
    color: #fff;
}
.button.round {
	border-radius : 2rem;
    padding: 1rem 2.5rem;
}
.button .stickarrow {
    display: inline-block;
    width: 50px;
    height: 8px;
    border-bottom: 1px solid #fff;
    border-right: 1px solid #fff;
    transform: skew(45deg);
    margin-left: 10px;
}
.button.line_w {
    border-width: 2px;
    border-color: #222;
}
.button.blank::after {
    content: "";
    display: inline-block;
    width: 1em;
    height: 1em;
    margin-left: 4px;
    background: currentColor;
    mask-image: url(/img/ico_blank.svg);
    mask-repeat: no-repeat;
    mask-position: 96% center;
    mask-size: contain;
    padding-right: 5px;
}

ul.post_list.column3 {
    display: flex;
    row-gap: 1rem;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 1300px;
}
ul.post_list.column3 li {
    width:calc(96%/3);
    height: auto;
    display: flex;
    flex-direction: column;
    border: 1px solid #dadada;
    box-sizing: border-box;
}
ul.post_list.column3 li figure {
    margin: 0;
}
ul.post_list.column3 li figcaption {
    padding: .5rem 1rem;
}
ul.post_list.column3 li h4 {
    flex-grow: 1;
}
ul.post_list.column3 li time ,ul.post_list.column3 li p {
    font-size: 80%;
}
.post_list li a {
    text-decoration: none;
}

#sns ul {
    display: flex;
    flex-wrap: wrap;
    max-width: 1300px;
    padding: 0;
    margin: 0 auto;
}
#sns li {
    width:calc(100%/4);
    height: auto;
    display: flex;
    flex-direction: column;
}
#sns li a:nth-child(odd) {
    border: 1px solid #dadada;
    box-sizing: border-box;
    margin-bottom: 10px;
    padding: 1rem 0;
    text-align: center;
}
#sns li:nth-child(even) a {
    border-left: none;
}
#sns li:nth-child(2) a {
    border-right: none;
}
#sns li a {
    text-decoration: none;
    text-align: center;
    color: #888;
}

p.tag {
    display: inline-block;
    background-color: #222;
    color: #fff;
    border-radius: 4px;
    padding: 2px 5px;
    float: right;
}
#info {
    background-image: url(/img/bg_info_wlogo.svg);
    background-repeat: no-repeat;
    background-size: cover;
    background-color: #c8e3ed;
    padding-bottom: 4rem;
    margin-bottom: 0;
}
#info h2 + p {
    padding-bottom: 2rem;
}

footer {
    padding: 3rem 0 0;
    background-color: #222;
    color: #fff;
    font-weight: 100;
}
footer img {
    width: 4rem;
}
footer h4, footer p, footer a {
    color: #fff;
}
footer h4 {
    margin-bottom: 0;
}
footer .footer a {
    text-decoration: none;
    padding-bottom: 5px;
    background-image: linear-gradient(#fff, #fff);
    background-repeat: no-repeat;
    background-position: bottom right;
    background-size: 0 1px;
    transition: background-size 0.3s;
}
footer .footer a:hover {
    background-position: bottom left;
    background-size: 100% 1px;
}
footer .footer address {
    font-style: normal;
}
footer .footer ul {
    padding: 0;
}
footer .footer li {
    line-height: 2;
    list-style-type: none;
}
footer .copyright {
    padding: 1rem 0;
    background-color: #dadada;
    color: #fff;
    text-align: center;
}

/* ウェブページ */
.webpage .header {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}
.webpage .breadcrumbs p {
    font-size: 80%;
}
.webpage .breadcrumbs a {
    text-decoration: none;
    font-size: 100%;
}
.webpage .title h2 {
    margin-bottom: 0;
}
.webpage .title p {
    color: #f23300;
    margin-top: 0;
}

@keyframes infinity-scroll-left {
from {
  transform: translateX(0);
}
  to {
  transform: translateX(-100%);
}
}
.scroll-infinity__wrap {
  display: flex;
  overflow: hidden;
}
.scroll-infinity__list {
  display: flex;
  list-style: none;
  padding: 0
}
.scroll-infinity__list--left {
  animation: infinity-scroll-left 140s infinite linear 0.5s both;
}
.scroll-infinity__item {
  width: calc(100vw / 3);
  margin: 0 10px;
}
.scroll-infinity__item>img {
  width: 100%;
  border-radius: 30px;
}

/* corporate（会社概要） */
.corporate .flexbox {
    display: flex;
}
.corporate table {
    width: 100%;
}
.corporate table th {
    text-align: left;
    vertical-align: top;
}
.corporate table tr {
    border-bottom: 1px solid #dadada;
    display: block;
    padding-top: 10px;
    padding-bottom: 10px;
}
.corporate table a {
    text-decoration: none;
}
.corporate table p {
    margin: 0;
}
.corporate table p + p {
    margin-top: 10px;
}
.corporate table .ico {
    display: flex;
}
.corporate table .ico p {
    font-size: 70%;
}
.corporate table div {
    flex: 1;
}

/* recruit（採用情報） */
.recruit .tag {
    font-size: 90%;
    border: 1px solid #003882;
    border-radius: 4px;
    padding: 0 5px;
    display: inline-block;
}
.recruit .tag + .tag {
    margin-left: 10px;
}
.recruit table {
    border: 1px solid #dadada;
}
.recruit table tr {
    border-bottom: 1px solid #dadada;
}
.recruit table th {
    background-color: #dadada;
    text-align: left;
}
.recruit table th, .recruit table td {
    padding: 10px;
}
.recruit table tr:last-child {
    border-bottom: none;
}

/*
  画面幅が 993px 以上
*/
@media screen and (min-width:993px) {
    #sns li img {
        width: 10%;
    }
    
    .webpage .body {
        width: 80%;
        margin: 0 auto;
    }
    .webpage .breadcrumbs {
        padding: 0 1rem;
    }
    .scroll-infinity {
        position: relative;
        height: 200px;
    }
    .scroll-infinity__wrap {
        position: absolute;
        z-index:9;
    }
    .scroll-infinity h1 {
        position: absolute;
        /*text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff, 0 0 20px #fff;*/
        background-color: rgba(255,255,255,0.8);
        z-index:10;
    }
    .corporate .flexbox {
        flex-direction: row-reverse;
    }
    .corporate .flexbox .image {
        flex: 1;
    }
    .corporate .flexbox .text {
        flex: 3;
    }
    .corporate .flexbox .image img {
        width: 300px;
        height: 400px;
        border-radius: 30px;
        object-fit: cover;
    }
    .corporate table th {
        width: 200px;
    }
    .corporate table div img {
        width: 100px;
        height: 100px;
        object-fit: cover;
    }
    ul.post_list img {
        width: 100%;
        object-fit: cover;
        transition: all .3s ease-in-out;
        transform: scale(1.1);
    }
    ul.post_list img:hover {
        transform:scale(1);
	    transition:0.3s;
    }
    ul.post_list .thumbnail {
        height: 250px;
        overflow:hidden;
    }
    footer .footer {
        padding-bottom: 3rem;
        margin: 0 auto;
        display: flex;
        column-gap: 2rem;
        flex-wrap: wrap;
        max-width: 1300px;    
    }
    footer .footer section:nth-of-type(1) {
        flex: 1;
    }
    footer .footer section:nth-of-type(2) {
        flex: 4;
        display: flex;
        flex-wrap: wrap;
    }
    footer .footer section:nth-of-type(2) nav {
        width:calc(100%/4);
        flex-direction: column;
    }
}

/*
  画面幅が 992px 以下のデバイスにのみ適用されるスタイル
*/
@media screen and (max-width: 992px) {
    * {
        font-size: 100%;
    }
    
    .c-hamburger-menu__list {
        background-color: #fff;
        align-items: flex-start;
        display: flex;
        flex-direction: column;
        left: 0;
        padding: 2rem;
        position: absolute;
        transform: translateX(-100%);
        transition: 0.3s;
        top: 100%;
        width: 100%;
        z-index: 999;
    }
    #hamburger:checked ~ .c-hamburger-menu__list {
        transform: translateX(0%);
        transition: 0.3s;
    }
    .c-hamburger-menu__button {
        align-items: center;
        appearance: none;
        background-color: transparent;
        border: none;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        gap: 5px;
        height: 32px;
        justify-content: center;
        width: 32px;
    }
    #hamburger:checked
    ~ .c-hamburger-menu__button
    .c-hamburger-menu__button-mark:nth-of-type(1) {
        transform: translate(2px, 1px) rotate(45deg);
        transform-origin: 0%;
    }
  #hamburger:checked
    ~ .c-hamburger-menu__button
    .c-hamburger-menu__button-mark:nth-of-type(2) {
        opacity: 0;
    }
  #hamburger:checked
    ~ .c-hamburger-menu__button
    .c-hamburger-menu__button-mark:nth-of-type(3) {
        transform: translate(2px, 3px) rotate(-45deg);
        transform-origin: 0%;
    }

    .button {
        display: block;
        width: 80%;
        margin: 0 auto 20px;
    }

    ul.post_list {
        padding-left: 0;
    }
    ul.post_list.column3 li{
        width: 100%;
    }
    ul.post_list.column3 li h4 {
        margin: 0 0 10px;
        font-size: 90%;
    }
    ul.post_list figure {
        display: flex;
    }
    ul.post_list figure .thumbnail {
        width: 30%;
        overflow: hidden;
    }
    ul.post_list figure img {
        object-fit: cover;
        transform: scale(2.6);
    }
    ul.post_list figure .caption {
        width: 70%;
    }

    p.tag {
        margin: 0;
    }

    #sns ul {
        padding: 0;
    }
    #sns li img {
        width: 50%;
    }    
    
    .webpage {
        width: 90%;
        margin: 100px auto 0;
    }
    .scroll-infinity__item {
        width: calc(100vw / 1.5);
    }
    .corporate .flexbox {
        flex-wrap: wrap;
    }
    .corporate table th {
        width: 100px;
    }

    .recruit table tr {
        display: grid;
    }
        
    footer {
        padding: 2rem 0;
    }
    footer .footer {
        padding: 0 1rem;
        display: flex;
        flex-flow: column;
        flex-direction: column-reverse;
    }
    footer .footer section:nth-child(even) {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }
    footer .footer section nav {
        width: 48%;
    }
}
